=== control ===
Source: groove
Section: user/multimedia
Priority: extra
Maintainer: Elias Woods <EliasWoods@gmail.com>
Build-Depends: debhelper (>= 5), libqjson-dev, libqt4-dev (>= 4.6.0), autotools-dev, mce-dev
Standards-Version: 3.7.2

Package: groove
Architecture: any
Depends: libqt4-core, libqt4-phonon, libqt4-gui, libqt4-network, libqjson
Description: Qt4 Grooveshark client
 This program is in active development
