=== debian/changelog ===
groove (0.4-12) unstable; urgency=low

  * Update version strings, segfault fixes and useability update

 -- Elias Woods <EliasWoods@gmail.com>  Wed, 5 January 2011 18:05:23 -0400
