## groove 0.4-13

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: groove
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Jan 5 17:21:15 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Jan 6 02:27:50 2011
 # Project:  Groove.pro
 # Template: app
 # Command: /usr/bin/qmake -o Makefile Groove.pro
@@ -16,7 +16,7 @@
 INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/phonon -I/usr/include/qt4 -I. -I/usr/include/qjson -I/usr/include -I/usr/include/qt4/phonon_compat -I. -I.
 LINK          = g++
 LFLAGS        = -Wl,-O1
-LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/local/lib -lqjson -lpulse-simple -lphonon -lQtGui -lQtNetwork -lQtCore -lpthread 
+LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/local/lib -lqjson -lphonon -lQtGui -lQtNetwork -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -375,3 +375,4 @@
 
 streamio.o: streamio.cpp streamio.h \
 		splayer.h \
+		grooveprogressbar.h \
