=== debian/changelog ===
groove (0.4-13) unstable; urgency=low

  * Fix for progress bar

 -- Elias Woods <EliasWoods@gmail.com>  Thu, 6 January 2011 15:05:23 -0400
