## groove 0.4-14

=== debian/changelog ===
groove (0.4-14) unstable; urgency=low

  * Add playlist viewer

 -- Elias Woods <EliasWoods@gmail.com>  Sat, 8 January 2011 17:33:23 -0400
