## groove 0.5-01

=== debian/changelog ===
groove (0.5-01) unstable; urgency=low

  * Attempt to fix the autobuilder

 -- Elias Woods <EliasWoods@gmail.com>  Sat, 8 January 2011 17:33:23 -0400
