## groove 0.5-02

=== debian/changelog ===
groove (0.5-02) unstable; urgency=low

  * Finally fix ui* conflicts

 -- Elias Woods <EliasWoods@gmail.com>  Sat, 8 January 2011 19:35:23 -0400
