## groove 0.5-03

=== debian/changelog ===
groove (0.5-03) unstable; urgency=low

  * Update for API compatability

 -- Elias Woods <EliasWoods@gmail.com>  Fri, 11 February 2011 18:53:46 -0400
