## groove 0.5-04

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: groove
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Jan 6 02:27:50 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Jan 8 19:32:21 2011
 # Project:  Groove.pro
 # Template: app
 # Command: /usr/bin/qmake -o Makefile Groove.pro
@@ -55,7 +55,7 @@
 		bottombar.cpp \
 		vkb.cpp \
 		searchresults.cpp \
-		plistwin.cpp moc_groove.cpp \
+		pwin.cpp moc_groove.cpp \
 		moc_gscom.cpp \
 		moc_splayer.cpp \
 		moc_streamio.cpp \
@@ -66,7 +66,7 @@
 		moc_bottombar.cpp \
 		moc_vkb.cpp \
 		moc_searchresults.cpp \
-		moc_plistwin.cpp \
+		moc_pwin.cpp \
 		qrc_res.cpp
 OBJECTS       = main.o \
 		groove.o \
@@ -80,7 +80,7 @@
 		bottombar.o \
 		vkb.o \
 		searchresults.o \
-		plistwin.o \
+		pwin.o \
 		moc_groove.o \
 		moc_gscom.o \
 		moc_splayer.o \
@@ -92,7 +92,7 @@
 		moc_bottombar.o \
 		moc_vkb.o \
 		moc_searchresults.o \
-		moc_plistwin.o \
+		moc_pwin.o \
 		qrc_res.o
 DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
 		/usr/share/qt4/mkspecs/common/unix.conf \
@@ -143,7 +143,7 @@
 
 all: Makefile $(TARGET)
 
-$(TARGET): ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h $(OBJECTS)  
+$(TARGET): ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h ui_pwin.h $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
 Makefile: Groove.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
@@ -198,7 +198,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/groove1.0.0 || $(MKDIR) .tmp/groove1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/groove1.0.0/ && $(COPY_FILE) --parents groove.h gscom.h splayer.h streamio.h playlist.h downloadmanager.h grooveprogressbar.h topbar.h bottombar.h vkb.h searchresults.h plistwin.h .tmp/groove1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/groove1.0.0/ && $(COPY_FILE) --parents main.cpp groove.cpp gscom.cpp splayer.cpp streamio.cpp playlist.cpp downloadmanager.cpp grooveprogressbar.cpp topbar.cpp bottombar.cpp vkb.cpp searchresults.cpp plistwin.cpp .tmp/groove1.0.0/ && $(COPY_FILE) --parents topbar.ui bottombar.ui vkb.ui searchresults.ui .tmp/groove1.0.0/ && (cd `dirname .tmp/groove1.0.0` && $(TAR) groove1.0.0.tar groove1.0.0 && $(COMPRESS) groove1.0.0.tar) && $(MOVE) `dirname .tmp/groove1.0.0`/groove1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/groove1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/groove1.0.0/ && $(COPY_FILE) --parents groove.h gscom.h splayer.h streamio.h playlist.h downloadmanager.h grooveprogressbar.h topbar.h bottombar.h vkb.h searchresults.h pwin.h .tmp/groove1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/groove1.0.0/ && $(COPY_FILE) --parents main.cpp groove.cpp gscom.cpp splayer.cpp streamio.cpp playlist.cpp downloadmanager.cpp grooveprogressbar.cpp topbar.cpp bottombar.cpp vkb.cpp searchresults.cpp pwin.cpp .tmp/groove1.0.0/ && $(COPY_FILE) --parents topbar.ui bottombar.ui vkb.ui searchresults.ui pwin.ui .tmp/groove1.0.0/ && (cd `dirname .tmp/groove1.0.0` && $(TAR) groove1.0.0.tar groove1.0.0 && $(COMPRESS) groove1.0.0.tar) && $(MOVE) `dirname .tmp/groove1.0.0`/groove1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/groove1.0.0
 
 
 clean:compiler_clean 
@@ -219,9 +219,9 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_groove.cpp moc_gscom.cpp moc_splayer.cpp moc_streamio.cpp moc_playlist.cpp moc_downloadmanager.cpp moc_grooveprogressbar.cpp moc_topbar.cpp moc_bottombar.cpp moc_vkb.cpp moc_searchresults.cpp moc_plistwin.cpp
+compiler_moc_header_make_all: moc_groove.cpp moc_gscom.cpp moc_splayer.cpp moc_streamio.cpp moc_playlist.cpp moc_downloadmanager.cpp moc_grooveprogressbar.cpp moc_topbar.cpp moc_bottombar.cpp moc_vkb.cpp moc_searchresults.cpp moc_pwin.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_groove.cpp moc_gscom.cpp moc_splayer.cpp moc_streamio.cpp moc_playlist.cpp moc_downloadmanager.cpp moc_grooveprogressbar.cpp moc_topbar.cpp moc_bottombar.cpp moc_vkb.cpp moc_searchresults.cpp moc_plistwin.cpp
+	-$(DEL_FILE) moc_groove.cpp moc_gscom.cpp moc_splayer.cpp moc_streamio.cpp moc_playlist.cpp moc_downloadmanager.cpp moc_grooveprogressbar.cpp moc_topbar.cpp moc_bottombar.cpp moc_vkb.cpp moc_searchresults.cpp moc_pwin.cpp
 moc_groove.cpp: gscom.h \
 		splayer.h \
 		streamio.h \
@@ -231,7 +231,7 @@
 		topbar.h \
 		vkb.h \
 		bottombar.h \
-		plistwin.h \
+		pwin.h \
 		groove.h
 	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) groove.h -o moc_groove.cpp
 
@@ -280,10 +280,8 @@
 moc_searchresults.cpp: searchresults.h
 	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) searchresults.h -o moc_searchresults.cpp
 
-moc_plistwin.cpp: playlist.h \
-		gscom.h \
-		plistwin.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) plistwin.h -o moc_plistwin.cpp
+moc_pwin.cpp: pwin.h
+	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) pwin.h -o moc_pwin.cpp
 
 compiler_rcc_make_all: qrc_res.cpp
 compiler_rcc_clean:
@@ -292,6 +290,7 @@
 		general_fullsize.png \
 		wmTaskModified.png \
 		groove.png \
+		general_up.png \
 		general_search.png \
 		general_add.png \
 		wmTaskSwitcherIconPressed.png \
@@ -303,7 +302,8 @@
 		camera_video_stop.png \
 		wmTaskSwitcherIcon.png \
 		general_back.png \
-		wmTaskSwitcherIconHighlight.png
+		wmTaskSwitcherIconHighlight.png \
+		general_down.png
 	/usr/bin/rcc -name res res.qrc -o qrc_res.cpp
 
 compiler_image_collection_make_all: qmake_image_collection.cpp
@@ -311,9 +311,9 @@
 	-$(DEL_FILE) qmake_image_collection.cpp
 compiler_moc_source_make_all:
 compiler_moc_source_clean:
-compiler_uic_make_all: ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h
+compiler_uic_make_all: ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h ui_pwin.h
 compiler_uic_clean:
-	-$(DEL_FILE) ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h
+	-$(DEL_FILE) ui_topbar.h ui_bottombar.h ui_vkb.h ui_searchresults.h ui_pwin.h
 ui_topbar.h: topbar.ui
 	/usr/bin/uic-qt4 topbar.ui -o ui_topbar.h
 
@@ -325,6 +325,9 @@
 
 ui_searchresults.h: searchresults.ui
 	/usr/bin/uic-qt4 searchresults.ui -o ui_searchresults.h
+
+ui_pwin.h: pwin.ui
+	/usr/bin/uic-qt4 pwin.ui -o ui_pwin.h
 
 compiler_yacc_decl_make_all:
 compiler_yacc_decl_clean:
@@ -346,7 +349,7 @@
 		topbar.h \
 		vkb.h \
 		bottombar.h \
-		plistwin.h
+		pwin.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp
 
 groove.o: groove.cpp groove.h \
@@ -359,7 +362,7 @@
 		topbar.h \
 		vkb.h \
 		bottombar.h \
-		plistwin.h
+		pwin.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o groove.o groove.cpp
 
 gscom.o: gscom.cpp gscom.h
@@ -373,6 +376,3 @@
 		gscom.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o splayer.o splayer.cpp
 
-streamio.o: streamio.cpp streamio.h \
-		splayer.h \
-		grooveprogressbar.h \
