=== debian/changelog ===
groove (0.5-04) unstable; urgency=low

  * Update for API compatability
  * Added settings window and heartbeat

 -- Elias Woods <EliasWoods@gmail.com>  Fri, 29 April 2011 1:28:00 -0400
