=== debian/control ===
Source: groove
Section: user/multimedia
Priority: extra
Maintainer: Elias Woods <EliasWoods@gmail.com>
Build-Depends: debhelper (>= 5), libqjson-dev, libqt4-dev (>= 4.6.0), autotools-dev, mce-dev
Standards-Version: 3.7.2

Package: groove
Architecture: any
Depends: libqt4-core, libqt4-phonon, libqt4-gui, libqt4-network, libqjson
XSBC-Bugtracker: http://github.com/dotblank/groove
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAKYQAACmEB/MxKJQAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAj0SURBVGiB1Vp7cJTVFf+de799ZjfZbIKE
 SOUVCHnxVHxUMKi0hTIyFZKAba3TcWRqnbYOdupIbUtntNOxOtNhWqcybQep
 IiygTB1ALQ6DiKGIVvKS+EClIpCQkGySfXz33tM/1hCWDZuw2cbh99fu/e53
 9ve759x7zr13iZlxJUN81QRGiitegJVtg6EQyUqJq1hjLDPGAvAB6DCEdlI4
 U7mKT6d7/9gLVKwsLAAAVwy7Sr7L3en600jnwJFnyOEO4GYSWKI07pACUwHQ
 pforhTNS4g0h8BYIB84U4Eh1NSsAwDoSjWXYT4SvA4AwqCqr48b/i4DmEAUB
 PKwN7hcCOZE46SMtLnH0Ixd1dAt0hiU6wwKxOCHgN/B5DIK5BqXXxFE1Ja4n
 F9uCCGQMogDelALvaMatBMzdsteHlbf3AAbzKur4cDoelx1CRzdRjvTgQWPw
 C2byvnzQKw6850bTcadUmjB9QhwLZkVRMalXFeRpzvcb6bBYxGzS4V5hmj9x
 OvbUe2V9kxvFhQqVk+PuGVNiC0sn2NWtJxy0pz4Hx09aWHl7D4yAdyg+l+WB
 5hCVaIPdRJjyyiEvbdrjR9s5CSLgm9f34e5vhVVhQFtao9OSeJUJJ2Fwmgi9
 AIKGUcyM+UKgLK7I7DrolRt3+dEbTV5Lxo9R+NvaMyDCkvIVvDsdp2F7oCFE
 t4DxUke39P1yQ5A+/twBACgZb+Ohu87pycW2ZMZOIjx9TGJfTQ3rNANR5LT4
 p8vm9/7sxsqo9eiGAuuTLwaoRO3EFGKTJQ80baVVBth07DMnfr0hKM/1JEZs
 TmkM6+7t0A7JH1iE1WW1vH9IYxcK2U4VWuGl7l4x8Ud/GGOd7ZIAAL/XYPvj
 p8DA3ZU1vCmdjSHzQMsWusEAz9Y3uMVD6wvOk589LYbH7jtrLMlvOj2Yd7nk
 AaB8OTexAwv9OaZz3b0d2ulIDGb8Sw8IGtoDaQW07KBxirDz01MO+t0/8slW
 CcN+r8HD3+tUIBz25uIbpXdw+HLJ92PGnfxfB3BHyXjbPFh7jgEgZhOYAQY8
 mQtYR0LZeLEvKoK/2hCUsfjA0v7A8i7O9RmbHLirZDHHMiXfj7I6rpcCq2+7
 LkK3zI4AAGxFZjhz4JICmiuwSghc//tNAet0hzzfPnGcQvWcCEnC2qo7+eOR
 ku9H+Qr+uzE4dM+SsCIC4opMxiEUCpHUGr9tPu40h5rdSc/uWhRmZnREvfhL
 lrifh5RYe/UYZS2cE0HcJuZMBVQA3xcCkzfu9ic993sN5s+KQAr8ce5S7ssW
 8X6Ur+C9hrH/niXdihmUcQjZGmuajjvNu62upPYFCfJkDJ7LEufBCD1SVKCt
 gjxtDSeEUhLZ0RfpKkui4rXD3pSC7OaZUaMN/jOjjj/KFuGLUVHLb7ZsobkA
 nCzQPlT/FAGWxiIG6Mj7yaMvBFA+Kc6SsCt7dAdHWR2/M9y+KSHEwKIv2qW6
 cOUBgMnFNjxOliRwMAscs4YUAcrG/Pc+dKV4ZmwwUdooxvujwGvYSBFAAmP6
 a5ILkes1AACXa+i4HE0kjfS+fWSNEfB19aYuTnk+A8NQIykbAKApRPuVRjCT
 d4WAgURt1XI+HwVJAq5qQyED1BlOFeD3GhhDnZn88IVQGjMtiVwA0AY41ORG
 b+TSFU1ujsG88ijoyzVRqOSlNUmAMcgnAfQMYjDHY8DgrpEKcEg8pw1mGqap
 luTCWdNiZn0oIPe+nVq3zZkWw6M/7NQEkFL4yLJwOC6QdCiQJEALdFsActwm
 xVgkJkCJE4YRobyG7+//fDREkzwufubHy7uqDza4rUgsOfWs/k639rhMi7Cw
 dGYtfzqYvaShzvElJmieL1VAuI9AhLyRCrgQM2r4OATW+DzGuqEimvSsMKAx
 aZwtpcBTZXcOTh64SEDJYo5pRl9gEAE9fQJSwHPkGXJkSwAAtBegGQAHc5N3
 oPn+BAfNSFvxpiYyQ2cD/lQB/TsxRz7GZ8x2EFRXs9Ia5y72ut+T+C6HKCdS
 BFiS66smx9XF7a0nnAmDhOtHwHdQMKjH7bxob94/HQzSbtpTlxvCqxOKbCuY
 mzwip85KdPcJRcCNI2KbZaSGkMIrRMDc0mhK54YPnZatcNuoMBsmUgRUruQT
 WqN14dxIiuv+9bYXlkRF83bKehhlikFToLTwxLXTY1R6TTyp/a1GN852SaUV
 fjIq7IaBQQVEO7BRa5y4e3E4aSIYA+x8I8cCobZhO00fHYrpMaiAufexLQR+
 c11ZTFxXlnxqsvONHLR1SrDC5mznhExwySqqhbDRGOx75AcduqhgIMlEYoTH
 n823BGGmJx+PjQrLNLikgJoa1kqg1uXgM+vu7dA+z0A0tXzixMZdfmLg503b
 6CmcrxVHH2mPFmfXcJtFWDaxyLbXr2nXxYUD+e351/z46z9zAcaDjVvxQutm
 KsyEQHOIfERc2BfL7LpuyLcq6viwkLipKKhO/+mhdnVT1UB+2LLXhyeeD0Bp
 WhETON68jdZ8uJtcacwloWUHjTOMLYLgee3fyeX01YUpxcCgGPYFR+NmGssS
 WwVhwTutLvP0jjzx6alENV6Yp3HPt8NYNK+PDSMiCHsE4WVDaICN0+48nClZ
 jHjrZhRogSIWmMGEpdpgWTQmnOtDedbrRxICxhVorF7WxTfNiJI2aHQbLJy2
 ii9ZD132HVnTNlqpFJ6UEuPqG9zYsT+H3vsgMegTihSqZ0dwY2VUTSq2raSZ
 wTCgAY9/3mapgw1uK/R6YouxYFYEt14b0WUT4pKBsBRY28T4c7qLkowEAMBb
 IfL4gQfY4AEhcM0X7VIdanZb77a6cOwzJzq6BYK5GleP0Qj4NAI+A4eD0dUj
 0dUjoA0Q8BlMnxBHxaS4mvo1W4IANjhAhOcFYWt5DXcMh8vIrlnXkWgsx2IB
 1Nkaiy2JQgDoi5E+2WZxOCJkb4RICiCYq3XQb0yuzwiXgyUAaIM2S+CAYexz
 GGwrXcknL5fCiO+JL0RDiKqIMZMIUwGUMBAAI48BLQinwWgDoZ0ZTYJQX17D
 n430N7Mq4KvAFf9fiStewP8AWjWkq0zZczoAAAAASUVORK5CYII=
Description: Qt4 Grooveshark client
 This program is in active development
